SCRAM(1)

NAME
SCRAM - Command-line Risk Analysis Multi-tool

SYNOPSIS
scram [options] input-files...

DESCRIPTION

SCRAM is a probabilistic risk analysis (PRA) tool. It can perform event tree analysis, static fault tree analysis, analysis with common cause failure models, probability calculations with importance analysis, and uncertainty analysis with Monte Carlo simulations. This tool can handle non-coherent fault trees, containing NOT logic.

SCRAM works with PRA models and constructs described in the Open-PSA Model Exchange Format.

OPTIONS

--help
    Display this help message

--version
    Display version information

--config-file path
    XML file with analysis configurations

--validate
    Validate input files without analysis

--bdd
    Perform qualitative analysis with BDD

--zbdd
    Perform qualitative analysis with ZBDD

--mocus
    Perform qualitative analysis with MOCUS

--prime-implicants
    Calculate prime implicants

--probability bool
    Perform probability analysis

--importance bool
    Perform importance analysis

--uncertainty bool
    Perform uncertainty analysis

--ccf bool
    Perform common-cause failure analysis

--sil bool
    Compute the Safety Integrity Level metrics

--rare-event
    Use the rare event approximation

--mcub
    Use the MCUB approximation

-l [ --limit-order ] int
    Upper limit for the product order

--cut-off double
    Cut-off probability for products

--mission-time double
    System mission time in hours

--time-step double
    Time step in hours for probability analysis

--num-trials int
    Number of trials for Monte Carlo simulations

--num-quantiles int
    Number of quantiles for distributions

--num-bins int
    Number of bins for histograms

--seed int
    Seed for the pseudo-random number generator

-o [ --output-path ] path Output path for reports

--verbosity int
    Set log verbosity

SEE ALSO
https://scram-pra.org